Bug 1026991 - ocaml-camlidl does not install META file for use with findlib
ocaml-camlidl does not install META file for use with findlib
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ocaml-camlidl (Show other bugs)
19
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Richard W.M. Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-05 15:09 EST by Alex Jordan
Modified: 2013-11-15 15:36 EST (History)
2 users (show)

See Also:
Fixed In Version: ocaml-camlidl-1.05-18.fc19.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-10 02:45:43 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alex Jordan 2013-11-05 15:09:28 EST
Description of problem:
The ocaml-camlidl and ocaml-camlidl-devel packages do not contain a META file to allow it to be used with findlib (see http://projects.camlcity.org/projects/findlib.html). Findlib is "the de-facto standard for library management in O'Caml" and many open source projects depend on findlib in order to handle O'Caml library dependencies.

Version-Release number of selected component (if applicable):
Version 1.05, Release 18.fc19

How reproducible:
Always

Steps to Reproduce:
1. Install ocaml-camlidl, ocaml-camlidl-devel, and ocaml-findlib packages
2. Run ocamlfind query camlidl


Actual results:
$ ocamlfind query camlidl
ocamlfind: Package `camlidl' not found

Expected results:
$ ocamlfind query camlidl
/usr/lib64/ocaml/.


Additional info:
A very basic META file to be installed at /usr/lib64/ocaml/META.camlidl would be something like this:
-----
name = "camlidl"
version = "1.05"
description = "A stub code generator and COM binding for Objective Caml (OCaml)"
directory = "."

archive(byte) = "com.cma"
archive(native) = "com.cmxa"
-----
Comment 1 Richard W.M. Jones 2013-11-05 16:49:41 EST
Debian have:

# Courtesy of GODI 
description = "Stub generator"
version = "1.05"
directory = "^"
archive(byte) = "com.cma"
archive(native) = "com.cmxa"

which as the comment suggests comes from GODI.
Comment 2 Richard W.M. Jones 2013-11-05 17:00:58 EST
Fixed in Rawhide.

$ ocamlfind query camlidl
/usr/lib64/ocaml
$ rpm -q ocaml-camlidl
ocaml-camlidl-1.05-22.fc21.x86_64
Comment 3 Fedora Update System 2013-11-05 17:10:03 EST
ocaml-camlidl-1.05-19.fc20.1 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ocaml-camlidl-1.05-19.fc20.1
Comment 4 Fedora Update System 2013-11-05 17:10:09 EST
ocaml-camlidl-1.05-18.fc19.1 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ocaml-camlidl-1.05-18.fc19.1
Comment 5 Fedora Update System 2013-11-06 13:22:42 EST
Package ocaml-camlidl-1.05-19.fc20.1:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ocaml-camlidl-1.05-19.fc20.1'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-20758/ocaml-camlidl-1.05-19.fc20.1
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-11-10 02:45:43 EST
ocaml-camlidl-1.05-19.fc20.1 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-11-15 15:36:22 EST
ocaml-camlidl-1.05-18.fc19.1 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.